RubyGems Navigation menu

pg 0.18.0.pre20141017155815

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 8.4 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versions:

  1. 1.1.3 - September 07, 2018 x86-mingw32 (1.99 MB)
  2. 1.1.3 - September 07, 2018 x64-mingw32 (2.15 MB)
  3. 1.1.3 - September 07, 2018 (228 KB)
  4. 1.1.2 - August 29, 2018 x86-mingw32 (1.99 MB)
  5. 1.1.2 - August 29, 2018 x64-mingw32 (2.15 MB)
  6. 0.18.0.pre20141017155815 - October 17, 2014 (197 KB)
Show all versions (144 total)

Authors:

  • Michael Granger, Lars Kanis

Owners:

Feef2024584d97a97338b964661ca795Abc11c007a3a284272d261b2dae6376e04cdb622ce0aac272b61f23f373e2abf

SHA 256 checksum:

6c847254fcf8833fb40c50bb818725fcf9f31c7f0c4e70f69dcb510d4eadba34

Total downloads 59,642,539

For this version 935

Gemfile:
= Copy to clipboard Copied!

install:
=

Licenses:

BSD, Ruby, GPL

Required Ruby Version: >= 1.8.7

Required Rubygems Version: > 1.3.1

Links: